﻿Get-Service | Get-Member
Get-Service | Get-Member -MemberType Property
Get-Service | Get-Member -MemberType Method

Get-ChildItem -Path C:\Demos -Recurse | Where-Object {$_.LastWriteTime -gt "03/29/2014"}

#What Did we do?
#Ran command Get-ChildItem at C:\Demos
#We used -Recurse to go through subfolders and subfiles
#We piped this to Where-Object function for filtering
#We used LastWriteTime to fiter date
#****** Who knew LastWriteType was a property? ***

Get-ChildItem | Get-Member

#Look at Formating
Get-ChildItem C:\Windows | Format-Table
Get-ChildItem C:\Windows | Format-Table -AutoSize
Get-ChildItem C:\Windows | Format-List

Get-SqlProcess -sqlserver localhost
Get-SqlProcess -sqlserver localhost | Format-Table -AutoSize
Get-SqlProcess -sqlserver localhost | Sort-Object CPU -Descending | Format-Table

Get-SqlProcess -sqlserver localhost | ConvertTo-Html

Get-SqlProcess -sqlserver localhost | ConvertTo-html | out-file “Processes.html”
Invoke-Item Processes.html

Get-SqlProcess -sqlserver localhost | Sort-Object CPU -Descending | Export-Csv SqlProcesses.csv
Invoke-Item SqlProcesses.csv





