﻿param(
    [string]$ServerListPath,
    [string]$ExcelPath
 )

# Load SMO library
$v = [System.Reflection.Assembly]::LoadWithPartialName('Microsoft.SqlServer.SMO')

#create exec object
$excel = New-Object -comobject Excel.Application

$excel.Visible = $true

$workbook = $excel.Workbooks.Add()
$ws1 = $workbook.Worksheets.Item(1)
$ws1.Name = "SQL Version"
$ws2 = $workbook.Worksheets.Add()
$ws2.Name = "SQL Connection Error"
$i = 1
$j = 1
$ws1.Cells.Item($i,1) = "Instance Name"
$ws1.Cells.Item($i,2) = "Version"
$ws1.Cells.Item($i,3) = "Edition"

$ws2.Cells.Item($j, 1) = "Instance Name"
$ws2.Cells.Item($j, 2) = "Error Message"


$servers = Get-Content $ServerListPath

ForEach ($instance in $servers)
{
    
    $s = New-Object ('Microsoft.SqlServer.Management.Smo.Server') $instance 
    
    if ($s.VersionString -ne $null -and $s.Edition -ne $null)
    {
        $i=$i+1
        $properties = $s | SELECT Name, VersionString, Edition
    
        $ws1.Cells.Item($i, 1) = $properties.Name
        $ws1.Cells.Item($i, 2) = $properties.VersionString
        $ws1.Cells.Item($i, 3) = $properties.Edition
    }
    else 
    {
        $j=$j+1
        $ws2.Cells.Item($j, 1) = $instance
        $ws2.Cells.Item($j, 2) = "Connection failed."    
    }
}
$workbook.SaveAs($ExcelPath)
$excel.Quit()