﻿#Get-ExecutionPolicy -List
#Set-ExecutionPolicy RemoteSigned

Get-Help Get-Counter -Examples

(Get-Counter -ListSet "SQLServer:Buffer Manager*").Paths


$CountersList = @("\SQLServer:Buffer Manager\Page life expectancy",
"\SQLServer:Buffer Manager\Lazy writes/sec"
)

$CountersList


#Output Perfmon Counters to DataTable
$CounterRecords = ""
$CounterResults = Get-Counter -SampleInterval 2 -MaxSamples 2 -Counter $CountersList

$CounterResults.GetType()
$CounterResults | Format-Table -AutoSize
$CounterResults | Export-CSV PerfCounter.csv 
Invoke-Item PerfCounter.csv

#Close the csv
$obj = @()
foreach($Counter in $CounterResults)
{
    $obj += $Counter.CounterSamples | Select-Object -Property Path, CookedValue, Timestamp;
}
$obj | Format-Table -AutoSize
$obj | Export-Csv -Path "PerfCounter.csv" -NoTypeInformation; 
Invoke-Item PerfCounter.csv